## Connection notes

There is now the new option to add notes to any connection. These notes are written in markdown, and the full markdown spec is supported.

## File transfer reliability improvements

The file transfer mechanism when editing files had some flaws, which under rare conditions caused the data not being fully transferred or the file browser session to timeout/die. This was especially prevalent when saving a file multiple times in quick succession or when using VSCode on Windows, which performs multiple file writes on save (for whatever reason).

The entire transfer implementation has been rewritten to iron out these issues and increase reliability. Other file browser actions have also been made more reliable.

## Git vault improvements

The conflict resolution has been improved
- When setting up the git vault on another system, there will no longer be an initial merge conflict that has to be handled
- In case of a merge conflict, overwriting local changes will now preserve all connections that are not added to the git vault, including local connections
- You now have the option to force push changes when a conflict occurs while XPipe is saving while running, not requiring a restart anymore

## Other

- You can now add simple RDP connections without a file
- Fix VMware Player/Workstation and MSYS2 not being detected on Windows. Now simply searching for connections should add them automatically if they are installed
- The file browser sidebar now only contains connections that can be opened in it, reducing the amount of connection shown
- Fix SSH command failing on macOS with homebrew openssh package installed
- Fix SSH connections not opening the correct shell environment on Windows when username contained spaces due to an OpenSSH bug
- Fix newly added connections not having the correct order
